pappso::ExceptionNotPossible Class Reference

`#include <exceptionnotpossible.h>`

Inheritance diagram for pappso::ExceptionNotPossible:

## Public Member Functions

| ExceptionNotPossible (const QString &message) throw ()
virtual QException * | clone () const override
Public Member Functions inherited from pappso::PappsoException
| PappsoException (const QString &message) throw ()
| PappsoException (const PappsoException &other) throw ()
void | raise () const override
virtual const QString & | qwhat () const throw ()
const char * | what () const noexcept override
virtual | ~PappsoException () throw ()

## Detailed Description

Definition at line 28 of file exceptionnotpossible.h.

## Constructor & Destructor Documentation

## ExceptionNotPossible()

pappso::ExceptionNotPossible::ExceptionNotPossible | ( | const QString & | message | ) |
throw | ( |
| ) |  |

inline

Definition at line 31 of file exceptionnotpossible.h.

: PappsoException(message)
{
}
pappso::PappsoException::PappsoException
PappsoException(const QString &message)
Definition: pappsoexception.h:44

Referenced by clone().

## Member Function Documentation

## clone()

virtual QException* pappso::ExceptionNotPossible::clone | ( |  | ) | const

inline override virtual

Reimplemented from pappso::PappsoException.

Definition at line 38 of file exceptionnotpossible.h.

{
return new ExceptionNotPossible(*this);
}
pappso::ExceptionNotPossible::ExceptionNotPossible
ExceptionNotPossible(const QString &message)
Definition: exceptionnotpossible.h:31

References ExceptionNotPossible().

The documentation for this class was generated from the following file:

- pappsomspp/exception/exceptionnotpossible.h